body {
	margin: 0px;
	font-family: "Courier New";
	background: rgb(33,90,112);
	
}
#header {
	height: 95px;	
	background: black;
	border: 2px solid black;
	color: white;
	text-align:center;
	
}

#bezierGenerator, #colorPicker, #fontViewer {
	margin:auto;
	margin-top: 30px; 
	width: 850px;
	height: 850px;
	background: rgb(240,240,240);
	border: 20px solid rgb(240,240,240);
	border-radius: 25px;
}

#redLvl, #greenLvl, #blueLvl {
	width: 200px;

}

#hexGen{
	width: 210px;
	text-align: center;
}

#colorRanges li {
		margin-bottom: 30px;
		 list-style-type: none;
}

#colorRanges ul {
		margin-bottom: 50px;
		display: block;
		margin-right: 250px;
}

#textParams {
	float: right;
}

#textTemplate {
	overflow: scroll;
}

.colorMainInput {
	width: 400px;
	height: 400px;
	background-color: black;
	float:left;
}

#updateList {
	float: right;
	margin-right: 100px;
}

#finalResult {
	font-size: 1.3em;
	margin-top: 0px;
}

#finalColor {
	font-size: 1.3em;
	margin-top: 0px;
	font-weight: bolder;
	margin-left: 45px;
}

#textTemplate {
	width: 400px;
	height: 400px;
	border: 5px solid black;
	background-color: white;
}

.leftFloat {
	float: left;
}
#bezierGenerator canvas {
	border: 2px double black;
	
}

.inlineDisp {
	display: inline;
}

.progressBarContainer {
	width:300px;
	height:20px;
	border: 3px solid black;
	margin: 10 px;
	margin-left:50px;	
}

@keyframes progressBar {
 from {top: 0px; left:0px;}
 to{top:0px; left:290px;} 
}

@keyframes animModel {
	from {top: 0px; left:0px;}
	to {top:0px; left:290px;} 
}

.animModelSquare {
	height:20px;
	width:10px;
	background-color:red;
    position: relative;
}

.progressSquare {
	height:20px;
	width:10px;
	background-color:blue;
    position: relative;
}
.myButtons {
	margin-left: 48px;
	float: left;
}
.toggleButton{
	border: 2px solid black;
	border-radius: 10px;
	width: 40px;
	height: 40px;
	color:green;
	font-size: 25px;
}

.stopButton{
	border: 2px solid black;
	border-radius: 10px;
	width: 40px;
	height: 40px;
	color:grey;
	font-size: 25px;
}

#paramTab {
	float: left;
	margin-left: 0px;
}
.bezierIcons {
	border: 2px solid black;
	border-radius: 5px;
}

button:hover {
	text-shadow: 1px 1px #000000;
	cursor: pointer;
}

.bezierIcons:hover {
	box-shadow: 2px 2px darkblue;
	cursor: pointer;
}

.colorMainInput:hover {
	cursor: pointer;
	box-shadow: 1px 1px darkblue;
}

.result {
	display: inline;
	float: left;
	margin-left: 10px;
	margin-right: 0px;
	font-weight:bolder;
}

.clipBoard {
	cursor: pointer;
}

